Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ehbox.api.domain
Class AcknowledgeMessage<T>

    java.lang.Object
      be.ehealth.businessconnector.ehbox.api.domain.Message<T>
          be.ehealth.businessconnector.ehbox.api.domain.AcknowledgeMessage<T>

Type Parameters:
  `T` - contains the original message ( jaxb class ) of type T, depending on ehbox version

All Implemented Interfaces:
  Serializable

    public class AcknowledgeMessage<T>

extends Message<T>

The message acknowledgement. Extends : `Message`

See Also:
  Serialized Form

Constructor Summary
`AcknowledgeMessage()`

Method Summary

Methods inherited from class be.ehealth.businessconnector.ehbox.api.domain.Message
`generatePublicationId, getCustomMetas, getDestinations, getExpirationDate, getExpirationDateTime, getId, getMandatee, getOriginal, getPublicationDate, getPublicationDateTime, getPublicationId, getSender, getSize, isEncrypted, isHasAnnex, isHasFreeInformations, isImportant, isUsePublicationReceipt, isUseReadReceipt, isUseReceivedReceipt, setDestinations, setEncrypted, setExpirationDate, setExpirationDateTime, setHasAnnex, setHasFreeInformations, setId, setImportant, setMandatee, setOriginal, setPublicationDate, setPublicationDateTime, setPublicationId, setSender, setSize, setUsePublicationReceipt, setUseReadReceipt, setUseReceivedReceipt, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AcknowledgeMessage

    public AcknowledgeMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.